Dymo and Mac OS X v10.6 Snow Leopard

Posted in: Technical Information
Sep 20, 2009 - 6:51:07 AM


Dymo's support for Mac OS X v10.6 Snow Leopard will be released very soon.

At the time of releasing this article, a Dymo labelWriter won't work with Mac OS X v10.6 Snow Leopard, but support is a matter of a few weeks away:

"DYMO Label is currently not supported on Mac OS X v10.6 Snow Leopard.  DYMO Label v.8.2 is required for use on Mac OS X 10.6.  This updated version of DYMO Label software is scheduled to be released in early Fall 2009. "

If you want to know when this version of Dymo software will be rfeleased, simply visit the Dymo support site (http://www.dymo.com/support) and look for the Snow Leopard link.